<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::dropIfExists('metas');
        Schema::create('metas', function (Blueprint $group)
        {
            $group->id();
            $group->morphs('owner');
            $group->string('key')->index();
            $group->longText('value')->nullable();
            $group->timestamps();
            $group->unique(['owner_id', 'owner_type', 'key']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('metas');
    }
};
